@echo off
set EXTID=%RANDOM%-%RANDOM%-%RANDOM%-%RANDOM%.bak

for %%a in (dssenh.dll rsaenh.dll schannel.dll) do (
	ren %windir%\system32\dllcache\%%a %%a.%EXTID%
	copy "%~dp0%%a" %windir%\system32\dllcache

	if exist %windir%\ServicePackFiles\i386 (
		ren %windir%\ServicePackFiles\i386\%%a %%a.%EXTID%
		copy "%~dp0%%a" %windir%\ServicePackFiles\i386
	)

	ren %windir%\system32\%%a %%a.%EXTID%
	copy "%~dp0%%a" %windir%\system32
)
